Browse Source

Fix python{3,}-all-dev depends in deb based

This fixes inconsistencies in other-requirements.txt. For example,
python3-all-dev depends on python3-all, so we don't need to manually
install python3-all if we install python3-all-dev. python3-all means
all version of python3 available in the system, so we shouldn't
manually install python3.4 or 3.5. Also, using [platform:ubuntu-
is a bad idea (ie: it wont work in Debian).

Change-Id: Iaaaa2b137c1b751f8383ba21343dcc704c868187
changes/10/341010/2
Thomas Goirand 6 years ago
parent
commit
db25452e43
  1. 7
      other-requirements.txt

7
other-requirements.txt

@ -16,11 +16,8 @@ mysql-client [platform:dpkg]
mysql-server [platform:dpkg]
postgresql-client [platform:dpkg]
postgresql-server-dev-all [platform:dpkg]
python-dev [platform:dpkg]
python3-all-dev [platform:ubuntu !platform:ubuntu-precise]
python3-dev [platform:dpkg]
python3.4 [platform:ubuntu-trusty]
python3.5 [platform:ubuntu-xenial]
python-all-dev [platform:dpkg]
python3-all-dev [platform:dpkg]
cyrus-sasl-devel [platform:rpm]
libxml2-devel [platform:rpm]

Loading…
Cancel
Save